Bug 168016 - sleeping function called from invalid context
sleeping function called from invalid context
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-10 16:15 EDT by Vladimir Ivanovic
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 02:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Ivanovic 2005-09-10 16:15:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050908 Firefox/1.4

Description of problem:
Sep 10 11:49:20 bach kernel: Debug: sleeping function called from invalid context at mm/rmap.c:85
Sep 10 11:49:20 bach kernel: in_atomic():0, irqs_disabled():1
Sep 10 11:49:20 bach kernel:  [<c015d21b>] anon_vma_prepare+0x1b/0xca
Sep 10 11:49:20 bach kernel:  [<c015b194>] expand_stack+0xd/0x67
Sep 10 11:49:20 bach kernel:  [<c0329a3a>] do_page_fault+0x39a/0x700
Sep 10 11:49:20 bach kernel:  [<c0148c0d>] filemap_nopage+0x2d8/0x38f
Sep 10 11:49:20 bach kernel:  [<c03296a0>] do_page_fault+0x0/0x700
Sep 10 11:49:20 bach kernel:  [<c0104567>] error_code+0x4f/0x54
Sep 10 11:49:20 bach kernel:  [<c025931a>] cfq_exit_io_context+0x0/0x34
Sep 10 11:49:20 bach kernel:  [<c03288e4>] _spin_lock+0x6/0x40
Sep 10 11:49:20 bach kernel:  [<c0259286>] cfq_exit_single_io_context+0x23/0xb7
Sep 10 11:49:20 bach kernel:  [<c0158b99>] __handle_mm_fault+0x17f/0x1d7
Sep 10 11:49:20 bach kernel:  [<c014edb9>] poison_obj+0x20/0x3d
Sep 10 11:49:20 bach kernel:  [<c0259335>] cfq_exit_io_context+0x1b/0x34
Sep 10 11:49:20 bach kernel:  [<c0251b34>] exit_io_context+0x60/0x6a
Sep 10 11:49:20 bach kernel:  [<c0123307>] do_exit+0x5c/0x3dc
Sep 10 11:49:20 bach kernel:  [<c01236dc>] do_group_exit+0x29/0x90
Sep 10 11:49:20 bach kernel:  [<c01039d1>] syscall_call+0x7/0xb
Sep 10 11:49:20 bach kernel: Unable to handle kernel paging request at virtual address 6b6b6b6f
Sep 10 11:49:20 bach kernel:  printing eip:
Sep 10 11:49:20 bach kernel: c03288e4
Sep 10 11:49:20 bach kernel: *pde = 6b6b6b6b
Sep 10 11:49:20 bach kernel: Oops: 0000 [#1]
Sep 10 11:49:21 bach kernel: SMP 
Sep 10 11:49:21 bach kernel: Modules linked in: sym53c8xx scsi_transport_spi sd_mod scsi_mod
Sep 10 11:49:21 bach kernel: CPU:    0
Sep 10 11:49:21 bach kernel: EIP:    0060:[<c03288e4>]    Not tainted VLI
Sep 10 11:49:21 bach kernel: EFLAGS: 00010096   (2.6.13-1.1547_FC5smp) 
Sep 10 11:49:21 bach kernel: EIP is at _spin_lock+0x6/0x40
Sep 10 11:49:21 bach kernel: eax: 6b6b6b6b   ebx: 6b6b6b6b   ecx: f7ddc3bc   edx: c025931a
Sep 10 11:49:21 bach kernel: esi: f7dddb68   edi: f7dc6578   ebp: 00000000   esp: f7d82f28
Sep 10 11:49:21 bach kernel: ds: 007b   es: 007b   ss: 0068
Sep 10 11:49:21 bach kernel: Process insmod (pid: 361, threadinfo=f7d82000 task=f7e30ab0)
Sep 10 11:49:21 bach kernel: Stack: fffac250 0804a00a f7f6675c c0259286 c0158b99 00000000 fffac250 f7f6e200 
Sep 10 11:49:21 bach kernel:        c014edb9 f7dddb68 f7ddd3ac 00000282 c0259335 f7d82000 00000282 f7ddc3bc 
Sep 10 11:49:21 bach kernel:        c0251b34 f7d82000 f7e30ab0 f7d82000 c0123307 00000004 f7d82fbc f7e30ab0 
Sep 10 11:49:21 bach kernel: Call Trace:
Sep 10 11:49:21 bach kernel:  [<c0259286>] cfq_exit_single_io_context+0x23/0xb7
Sep 10 11:49:21 bach kernel:  [<c0158b99>] __handle_mm_fault+0x17f/0x1d7
Sep 10 11:49:21 bach kernel:  [<c014edb9>] poison_obj+0x20/0x3d
Sep 10 11:49:21 bach kernel:  [<c0259335>] cfq_exit_io_context+0x1b/0x34
Sep 10 11:49:21 bach kernel:  [<c0251b34>] exit_io_context+0x60/0x6a
Sep 10 11:49:21 bach kernel:  [<c0123307>] do_exit+0x5c/0x3dc
Sep 10 11:49:21 bach kernel:  [<c01236dc>] do_group_exit+0x29/0x90
Sep 10 11:49:21 bach kernel:  [<c01039d1>] syscall_call+0x7/0xb


Version-Release number of selected component (if applicable):
 2.6.13-1.1547_FC5smp

How reproducible:
Always

Steps to Reproduce:
1. boot
2.
3.
  

Actual Results:  Entry is made in syslog, but otherwise the system seems to run.

Expected Results:  No entry.

Additional info:
Comment 1 Vladimir Ivanovic 2005-09-10 16:16:27 EDT
Sorry, I didn't paste in this last line:

Sep 10 11:49:21 bach kernel: Code: 00 81 7a 04 ed 1e af de 75 11 89 d0 f0 81 28
00 00 00 01 74 05 e8 4d df ff ff c3 0f 0b df 00 21 0a 34 c0 eb e5 53 83 ec 08 89
c3 <81> 78 04 ad 4e ad de 75 13 f0 fe 0b 79 09 f3 90 80 3b 00 7e f9 
Comment 2 Dave Jones 2005-10-06 02:05:43 EDT
should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.